'Build Version: 3.0.118.0
'***********************************************************************
' THIS CODE AND INFORMATION IS PROVIDED TO YOU FOR YOUR REFERENTIAL 
' PURPOSES ONLY, AND IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
' WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE, 
' AND MAY NOT BE REDISTRIBUTED IN ANY MANNER.
' 
' Copyright (c) 2004  Microsoft Corporation.  All rights reserved.
'***********************************************************************
' This script checks the availability of the ADSI Security DLL
' and the DNSCMD.EXE from the Windows Server 2003 Resource Kit
' it always verifies other prerequisites for the other scripts to 
' run successfully

Option Explicit
Dim oAdsSec
Dim oFS
Dim oFolder
Dim iReturn
iReturn = 0

' need to make sure that we can continue on an error so we can handle it
On Error Resume Next
' Check if adssecurity.dll is registered by trying to access the Interface
Set oAdsSec = CreateObject("AdsSecurity")
If Not IsObject(oAdsSec) Then
	WScript.echo "The required DLL adssecurity.dll is missing on your system."
	WScript.Echo "You can get the DLL from the ADSI 2.5 SDK. The SDK is available for Download at"
	WScript.Echo "http://www.microsoft.com/adsi"
	iReturn = 1
Else
	WScript.Echo "AdsSecurity DLL is registered and working."
End If

' now check for the DNSCMD.EXE File
' it is usually located in the C:\Program Files\Support Tools Folder
' Create the File System Object
Set oFS = CreateObject("Scripting.FileSystemObject")
If not oFS.FileExists("C:\Program Files\Support Tools\dnscmd.exe") Then
	WScript.echo "The required EXE DNSCMD.EXE is missing on your system."
	WScript.Echo "You can get the EXE from the Windows Server 2003 Support Tools."
	WScript.Echo "The Support Tools are located on the Windows Server 2003 Product CD."
	iReturn = 1
Else
	WScript.Echo "DNSCMD.EXE Found."
End If
' verify FTP does not have an IsolatedFTP Site and if so delete it.
WScript.echo "Verifying FTP Site does not already exist."


Dim oTemp,s
Set oTemp = GetObject("IIS://localhost/MSFTPSVC")
If NOT IsObject(oTemp) Then
    WScript.Echo "The FTP Service is not installed on this machine."
else
    WScript.Echo "The FTP Service is installed on this machine."
    For Each s In oTemp
    	If s.Class = "IIsFtpServer" Then
    		If LCase(s.ServerComment) = "isolatedftp" Then
    			WScript.Echo "A FTP Site with the Name of " & s.ServerComment & " already exists."
    			WScript.Echo "It will be stopped and a new site will be created."
    			s.Stop()
                            			
    		Else
    			WScript.Echo "We found an FTP Site " & s.ServerComment
    			WScript.echo "This might cause issues with the Isolated FTP Site this script will create."
    			WScript.Echo "If FTP Userisolation is not working correctly. Please stop the FTP Site above, "
    			WScript.Echo "and start the Site called IsolatedFTP."
    		End if
    	End if
    next
End if
' Quit with an explicit Return code
' If we did not find one of the Files we will return 1 
' and we will catch this in the setup.cmd File
	
WScript.Quit(iReturn)
